# We store in the list 'exclude' 
# some fillings which will be excluded from the analysis. 
# Typically, we may put in this list:
##  the exceptional fillings (this has almost no effect, since these are quickly
##       detected by our algorithm)
##  the hyperbolic fillings that yield manifolds whose exceptional fillings
##       have been already classified previously (this helps a lot to speed up)

# The lists that were used to classify the exceptional fillings of chain5
# are listed below.

# Exclude figure-eight knot from the Whitehead link:

# exclude = [[(-1,1), (0,0)], [(0,0), (-1,1)]]

# Exclude the Whitehead link from the magic manifold:

# exclude = [[(-1,1), (0,0), (0,0)], [(0,0), (-1,1), (0,0)], [(0,0), (0,0), (-1,1)]]

# Exclude magic from chain4:

# exclude = [
#  [(-1,1), (0,0), (0,0), (0,0)], [(3,2), (0,0), (0,0), (0,0)], 
#  [(3,1), (0,0), (0,0), (0,0)], [(1,2), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-1,1)], [(0,0), (0,0), (0,0), (3,2)], 
#  [(0,0), (0,0), (0,0), (3,1)], [(0,0), (0,0), (0,0), (1,2)],
#  [(0,0), (-1,1), (0,0), (0,0)], [(0,0), (3,2), (0,0), (0,0)], 
#  [(0,0), (3,1), (0,0), (0,0)], [(0,0), (1,2), (0,0), (0,0)],
#  [(0,0), (0,0), (-1,1), (0,0)], [(0,0), (0,0), (3,2), (0,0)], 
#  [(0,0), (0,0), (3,1), (0,0)], [(0,0), (0,0), (1,2), (0,0)]
#  ]

# Exclude chain4 from chain5: 

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0), (0,0)], [(2,1), (0,0), (0,0), (0,0), (0,0)], 
# [(1,2), (0,0), (0,0), (0,0), (0,0)], [(0,0), (-1,1), (0,0), (0,0), (0,0)], 
# [(0,0), (2,1), (0,0), (0,0), (0,0)], [(0,0), (1,2), (0,0), (0,0), (0,0)], 
# [(0,0), (0,0), (-1,1), (0,0), (0,0)], [(0,0), (0,0), (2,1), (0,0), (0,0)], 
# [(0,0), (0,0), (1,2), (0,0), (0,0)], [(0,0), (0,0), (0,0), (-1,1), (0,0)], 
# [(0,0), (0,0), (0,0), (2,1), (0,0)], [(0,0), (0,0), (0,0), (1,2), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-1,1)], [(0,0), (0,0), (0,0), (0,0), (2,1)], 
# [(0,0), (0,0), (0,0), (0,0), (1,2)]
# ]

# Exclude chain5 from chain6

# exclude = [
#  [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)], [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)], [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)], [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)], [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)], [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)], [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)] 
#  ]

# Exclude chain5 from chain6 filled with 2 (or with any other slope)

# exclude = [
# [(0,1), (0,0), (0,0), (0,0), (0,0)], [(1,0), (0,0), (0,0), (0,0), (0,0)],
# [(1,1), (0,0), (0,0), (0,0), (0,0)], [(-1,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,1), (0,0), (0,0), (0,0)], [(0,0), (1,0), (0,0), (0,0), (0,0)],
# [(0,0), (1,1), (0,0), (0,0), (0,0)], [(0,0), (-1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,1), (0,0), (0,0)], [(0,0), (0,0), (1,0), (0,0), (0,0)],
# [(0,0), (0,0), (1,1), (0,0), (0,0)], [(0,0), (0,0), (-1,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,1), (0,0)], [(0,0), (0,0), (0,0), (1,0), (0,0)],
# [(0,0), (0,0), (0,0), (1,1), (0,0)], [(0,0), (0,0), (0,0), (-1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,1)], [(0,0), (0,0), (0,0), (0,0), (1,0)],
# [(0,0), (0,0), (0,0), (0,0), (1,1)], [(0,0), (0,0), (0,0), (0,0), (-1,1)]
# ]

# Exclude chain6 (the slope -1) and the slope 0 from chain7_1 

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
# ]

# Exclude -1, 0, and 1 from chain7_fill_m2

# exclude = [
#  [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)]
#  ]

# Exclude -2, -1, 0, and 1 from chain7_fill_2

# exclude = [
# [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (-2,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (-2,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (-2,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-2,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)]
# ]

# Exclude -2, -1, 0, 1, and 2 from chain7_fill_m3

# exclude = [
#  [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-2,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (2,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-2,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (2,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-2,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (2,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-2,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (2,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (2,1)],
# ]
# 
# # Exclude -3, -2, -1, 0, 1, and 2 from chain7_fill_m12
# 
# exclude = [
#  [(-3,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-3,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-2,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (2,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-3,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-2,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (2,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-3,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-2,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (2,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-3,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-2,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (2,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-3,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (2,1)],
# ]

# Exclude -3, -2, -1, -1/2, 0, 1, and 2 from chain7_fill_12
 
# exclude = [
#   [(-3,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(-1,2), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(0,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (-3,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (-2,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (-1,2), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (0,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (2,1), (0,0), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (-3,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (-2,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (-1,2), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (0,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (2,1), (0,0), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (-3,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (-2,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (-1,2), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (0,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (2,1), (0,0), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (-3,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (-2,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (-1,2), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (0,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (2,1), (0,0)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (-3,1)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,2)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (0,1)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)],
#   [(0,0), (0,0), (0,0), (0,0), (0,0), (2,1)]
# ]

# Exclude -1, 1, and (-2, -2) from chain7

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0), (0,0)], [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)], [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)], [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
# [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0), (0,0)], [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0), (0,0)], [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0), (0,0)], [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (0,0), (0,0), (1,1)],
# [(-2,1), (-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)], [(0,0), (-2,1), (-2,1), (0,0), (0,0), (0,0), (0,0)],
# [(0,0), (0,0), (-2,1), (-2,1), (0,0), (0,0), (0,0)], [(0,0), (0,0), (0,0), (-2,1), (-2,1), (0,0), (0,0)],
# [(0,0), (0,0), (0,0), (0,0), (-2,1), (-2,1), (0,0)], [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1), (-2,1)],
# [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)]
# ]

# Exclude from Z1 the slopes that produce shadows that can be simplified

# exclude = [
# [(0,1), (0,0), (0,0), (0,0), (0,0)], [(1,1), (0,0), (0,0), (0,0), (0,0)], 
# [(1,2), (0,0), (0,0), (0,0), (0,0)], [(0,0), (1,2), (0,0), (0,0), (0,0)], 
# [(0,0), (0,1), (0,0), (0,0), (0,0)], [(0,0), (1,1), (0,0), (0,0), (0,0)]
# ]

# Exclude 1, -1, -2, -3 from chain3b 

# exclude = [
#  [(-1,1), (0,0), (0,0)], [(-2,1), (0,0), (0,0)], 
#  [(-3,1), (0,0), (0,0)], [(1,1), (0,0), (0,0)],
#  [(0,0), (-1,1), (0,0)], [(0,0), (-2,1), (0,0)],  
#  [(0,0), (-3,1), (0,0)], [(0,0), (1,1), (0,0)],
#  [(0,0), (0,0), (-1,1)], [(0,0), (0,0), (-2,1)],  
#  [(0,0), (0,0), (-3,1)], [(0,0), (0,0), (1,1)]  
#  ]

# Exclude 1, -1, -2, -3 from chain4b

# exclude = [
#   [(-1,1), (0,0), (0,0), (0,0)], [(-2,1), (0,0), (0,0), (0,0)], 
#   [(-3,1), (0,0), (0,0), (0,0)], [(1,1), (0,0), (0,0), (0,0)],
#   [(0,0), (-1,1), (0,0), (0,0)], [(0,0), (-2,1), (0,0), (0,0)],  
#   [(0,0), (-3,1), (0,0), (0,0)], [(0,0), (1,1), (0,0), (0,0)],
#   [(0,0), (0,0), (-1,1), (0,0)], [(0,0), (0,0), (-2,1), (0,0)],  
#   [(0,0), (0,0), (-3,1), (0,0)], [(0,0), (0,0), (1,1), (0,0)],
#   [(0,0), (0,0), (0,0), (-1,1)], [(0,0), (0,0), (0,0), (-2,1)],
#   [(0,0), (0,0), (0,0), (-3,1)], [(0,0), (0,0), (0,0), (1,1)]  
#   ]

# Exclude -1, -2, -3, 1 from chain5b

# exclude = [
# [(-1,1), (0,0), (0,0), (0,0), (0,0)], [(-2,1), (0,0), (0,0), (0,0), (0,0)], 
# [(-3,1), (0,0), (0,0), (0,0), (0,0)], [(1,1), (0,0), (0,0), (0,0), (0,0)], 
# [(0,0), (-1,1), (0,0), (0,0), (0,0)], [(0,0), (-2,1), (0,0), (0,0), (0,0)],  
# [(0,0), (-3,1), (0,0), (0,0), (0,0)], [(0,0), (1,1), (0,0), (0,0), (0,0)],  
# [(0,0), (0,0), (-1,1), (0,0), (0,0)], [(0,0), (0,0), (-2,1), (0,0), (0,0)],  
# [(0,0), (0,0), (-3,1), (0,0), (0,0)], [(0,0), (0,0), (1,1), (0,0), (0,0)],  
# [(0,0), (0,0), (0,0), (-1,1), (0,0)], [(0,0), (0,0), (0,0), (-2,1), (0,0)], 
# [(0,0), (0,0), (0,0), (-3,1), (0,0)], [(0,0), (0,0), (0,0), (1,1), (0,0)], 
# [(0,0), (0,0), (0,0), (0,0), (-1,1)], [(0,0), (0,0), (0,0), (0,0), (-2,1)],
# [(0,0), (0,0), (0,0), (0,0), (-3,1)], [(0,0), (0,0), (0,0), (0,0), (1,1)]
# ]

# Exclude -2, -1, 1 from chain6b

# exclude = [
#  [(-2,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(-1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(1,1), (0,0), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-2,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (-1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (1,1), (0,0), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-2,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (-1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (1,1), (0,0), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-2,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (-1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (1,1), (0,0), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-2,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (-1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (1,1), (0,0)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-2,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (-1,1)],
#  [(0,0), (0,0), (0,0), (0,0), (0,0), (1,1)],
#  ]
# 

# Empty (default) list:

exclude = []